ru.bitel.bgbilling.kernel.tariff.option.server.bean

## Class ContractTariffOptionList

- java.lang.Object
- - ru.bitel.common.util.AbstractPeriodItemSet<ContractTariffOptionList.OptionItem>
  - - ru.bitel.bgbilling.kernel.tariff.option.server.bean.ContractTariffOptionList

-     public final class ContractTariffOptionList
      extends ru.bitel.common.util.AbstractPeriodItemSet<ContractTariffOptionList.OptionItem>

  В данном списке конец периода тарифных опций меньше на одну миллисекунду.
  Список отсортирован по возрастанию времени активации.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ContractTariffOptionList.OptionItem` `AbstractPeriodItemSet.PeriodItem#id` - это ID опции из справочника.

    - ### Nested classes/interfaces inherited from class ru.bitel.common.util.AbstractPeriodItemSet

      `ru.bitel.common.util.AbstractPeriodItemSet.PeriodItem`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `TARIFF_REQUEST_KEY`

    - ### Fields inherited from class ru.bitel.common.util.AbstractPeriodItemSet

      `entries`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractTariffOptionList(ContractTariffOptionList.OptionItem[] entries)`
    `ContractTariffOptionList(java.util.List<ContractTariffOptionList.OptionItem> entryList)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContractTariffOptionList` | `add(int optionId, int contractOptionId, long timeFrom, long timeTo)`
    `protected boolean` | `containsMillis(ContractTariffOptionList.OptionItem item, long millis)`
    `long` | `getTimeFrom(int contractOptionId)`
    `protected boolean` | `isCoincide(ContractTariffOptionList.OptionItem item, ContractTariffOptionList.OptionItem other)`
    `java.util.List<ContractTariffOptionList.OptionItem>` | `list(int optionId, long timeFrom, long timeTo)` Получение списка опций, время активности которых пересекается с указанным временем.
    `java.util.Map<java.lang.Integer,java.lang.Integer>` | `optionMap(long date1, long date2)`
    `ContractTariffOptionList` | `remove(int optionId, int contractOptionId, long timeFrom, long timeTo)`
    `ContractTariffOptionList` | `update(int optionId, int contractOptionId, long timeFrom, long timeTo)`

    - ### Methods inherited from class ru.bitel.common.util.AbstractPeriodItemSet

      `add, contains, contains, containsAll, containsAll, count, count, countMillis, countMillis, get, item, items, items, items, map, nextActivateTime, remove, size, toString, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TARIFF_REQUEST_KEY

          public static final java.lang.String TARIFF_REQUEST_KEY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ContractTariffOptionList

          public ContractTariffOptionList(java.util.List<ContractTariffOptionList.OptionItem> entryList)

    - #### ContractTariffOptionList

          public ContractTariffOptionList(ContractTariffOptionList.OptionItem[] entries)

  - ### Method Detail

    - #### containsMillis

          protected boolean containsMillis(ContractTariffOptionList.OptionItem item,
                                           long millis)

      Overrides:
        `containsMillis` in class `ru.bitel.common.util.AbstractPeriodItemSet<ContractTariffOptionList.OptionItem>`

    - #### isCoincide

          protected boolean isCoincide(ContractTariffOptionList.OptionItem item,
                                       ContractTariffOptionList.OptionItem other)

      Overrides:
        `isCoincide` in class `ru.bitel.common.util.AbstractPeriodItemSet<ContractTariffOptionList.OptionItem>`

    - #### getTimeFrom

          public long getTimeFrom(int contractOptionId)

    - #### optionMap

          public java.util.Map<java.lang.Integer,java.lang.Integer> optionMap(long date1,
                                                                              long date2)

    - #### add

          public ContractTariffOptionList add(int optionId,
                                              int contractOptionId,
                                              long timeFrom,
                                              long timeTo)

    - #### update

          public ContractTariffOptionList update(int optionId,
                                                 int contractOptionId,
                                                 long timeFrom,
                                                 long timeTo)

    - #### remove

          public ContractTariffOptionList remove(int optionId,
                                                 int contractOptionId,
                                                 long timeFrom,
                                                 long timeTo)

    - #### list

          public java.util.List<ContractTariffOptionList.OptionItem> list(int optionId,
                                                                          long timeFrom,
                                                                          long timeTo)

      Получение списка опций, время активности которых пересекается с указанным временем.
      Parameters:
        `optionId` -
        `timeFrom` -
        `timeTo` -
      Returns: